Skip to main content
GET
/
v6
/
bills
/
{id}
Get bill
curl --request GET \
  --url https://sandbox.tight.com/v6/bills/{id} \
  --header 'Authorization: Bearer <token>'
{
  "result": "SUCCESS",
  "data": {
    "id": "bll_158998869",
    "name": "Office rent",
    "billNo": 1001,
    "status": "ACTIVE",
    "billStatus": "OPEN",
    "date": "2025-06-26",
    "vendor": {
      "id": "vnd_28868401",
      "name": "Gusto"
    },
    "apiName": "QBO",
    "apiSourceId": "ext_123",
    "lineItems": [
      {
        "id": "bli_123456",
        "description": "Office supplies",
        "amount": 5001,
        "apiItemId": "item_123",
        "glAccount": {
          "id": "gla_38560327",
          "name": "Officer(s) Salaries and Wages",
          "accountNo": "60210",
          "type": "EXPENSE",
          "iconUrl": "https://cdn.sandbox.tight.com/icons/glAccountTypes/expense.png"
        }
      }
    ],
    "installments": [
      {
        "id": "istl_123",
        "name": "First installment",
        "dueDate": "2025-07-15",
        "balance": 10000,
        "amountDue": {
          "value": "50.0",
          "type": "AMOUNT"
        }
      }
    ],
    "customData": {
      "internal_key": "some_internal_key",
      "some_other_field": 23434
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, see Authentication for more detail.

Path Parameters

id
string
required

The id of the bill

Response

Success

result
enum<string>

The result of the action performed.

Available options:
SUCCESS,
FAILURE
data
object

The data generated by the action performed.